Read Single Metric Value

Read Single Metric Value

gethttps://statsigapi.net/console/v1/metrics

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

idstringrequired

The unique identifier of the metric with format <metric_id>::<type>

datestringrequired

Expected valid date in the form of YYYY-MM-DD

Example:2024-01-01

Response

application/json
200· Get metric data on given date response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
valuenumberrequired

Metric value for the given unit_type

Constraints:format: double
unit_typestringrequired

Unit of the metric: stableID, userID, and other custom ids

row_countnumber

Row count for imported metric, optional

Constraints:format: double
numeratornumber

Numerator of a ratio metric, optional

Constraints:format: double
denominatornumber

Denominator of a ratio metric, optional

Constraints:format: double
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?